#ifndef TOOL_H_
#define TOOL_H_

#include <gtk/gtk.h>


class Tool {
  public:
    virtual ~Tool() {}
    
    virtual void action() = 0;
    
    virtual const gchar *getName() = 0;
    virtual GtkWidget *getImage() = 0;
    virtual bool isSensitive() = 0;
};

#endif /*TOOL_H_*/
